Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/distrib/miniroot Allow for an optional MD upgrade preparatio...



details:   https://anonhg.NetBSD.org/src/rev/4b57f9b710cd
branches:  trunk
changeset: 499339:4b57f9b710cd
user:      pk <pk%NetBSD.org@localhost>
date:      Fri Nov 17 17:36:39 2000 +0000

description:
Allow for an optional MD upgrade preparation routine.

diffstat:

 distrib/miniroot/upgrade.sh |  27 ++++++++++++++++++++++++++-
 1 files changed, 26 insertions(+), 1 deletions(-)

diffs (49 lines):

diff -r 5c2d22646195 -r 4b57f9b710cd distrib/miniroot/upgrade.sh
--- a/distrib/miniroot/upgrade.sh       Fri Nov 17 12:35:09 2000 +0000
+++ b/distrib/miniroot/upgrade.sh       Fri Nov 17 17:36:39 2000 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-#      $NetBSD: upgrade.sh,v 1.19 1999/11/02 06:11:25 sjg Exp $
+#      $NetBSD: upgrade.sh,v 1.20 2000/11/17 17:36:39 pk Exp $
 #
 # Copyright (c) 1996 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -58,6 +58,11 @@
 #      md_welcome_banner()     - display friendly message
 #      md_not_going_to_install() - display friendly message
 #      md_congrats()           - display friendly message
+#      md_set_term             - set terminal type
+#      md_makerootwritable     - what it says
+# optional:
+#      md_upgrade_prep_needed  - variable: set if you md_prepare_upgrade()
+#      md_prepare_upgrade      - any machine dependent preparations
 
 # we need to make sure .'s below work if this directory is not in $PATH
 # dirname may not be available but expr is
@@ -282,6 +287,26 @@
 # Mount filesystems.
 mount_fs /tmp/fstab.shadow
 
+# Machine dependent preparation.
+test "$md_upgrade_prep_needed" && {
+       md_prepare_upgrade || {
+               cat << 'EOF'
+The preparations for upgrading your machine did not complete successfully.
+
+EOF
+               echo -n "Continue anyway? [n]"
+               getresp "n"
+               case "$resp" in
+                       y*|Y*)
+                               ;;
+                       *)
+                               exit 1
+                               ;;
+               esac
+       }
+}
+
+
 echo -n        "Are the upgrade sets on one of your normally mounted (local) filesystems? [y] "
 getresp "y"
 case "$resp" in



Home | Main Index | Thread Index | Old Index